Summary:	Complex floating-point library with high precision and exact rounding
Summary(pl.UTF-8):	Biblioteka do obliczeń na liczbach zespolonych z wielokrotną precyzją i poprawnym zaokrąglaniem
Name:		libmpc
Version:	1.3.1
Release:	1
License:	LGPL v3+
Group:		Libraries
#Source0Download: https://www.multiprecision.org/mpc/download.html
Source0:	https://ftp.gnu.org/gnu/mpc/mpc-%{version}.tar.gz
# Source0-md5:	5c9bc658c9fd0f940e8e3e0f09530c62
Patch0:		%{name}-info.patch
URL:		https://www.multiprecision.org/mpc/
BuildRequires:	gmp-devel >= 5.0.0
BuildRequires:	mpfr-devel >= 4.1.0
BuildRequires:	texinfo
Requires:	gmp >= 5.0.0
Requires:	mpfr >= 4.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MPC library is a C library for the arithmetic of complex numbers
with arbitrarily high precision and correct rounding of the result. It
is built upon and follows the same principles as MPFR.

%description -l pl.UTF-8
Biblioteka MPC to biblioteka C do obliczeń na liczbach zespolonych z
wielokrotną precyzją i poprawnym zaokrąglaniem wyników. Zbudowana jest
na tych samych założeniach co biblioteka MPFR.

%package devel
Summary:	Header files for MPC library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MPC
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gmp-devel >= 5.0.0
Requires:	mpfr-devel >= 4.1.0

%description devel
Header files for MPC library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki MPC.

%package static
Summary:	Static MPC library
Summary(pl.UTF-8):	Statyczna biblioteka MPC
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MPC library.

%description static -l pl.UTF-8
Statyczna biblioteka MPC.

%prep
%setup -q -n mpc-%{version}
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_libdir}/libmpc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpc.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpc.so
%{_libdir}/libmpc.la
%{_includedir}/mpc.h
%{_infodir}/mpc.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libmpc.a
%changelog
* Fri Dec 16 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmpc.git;a=log;h=master

* Fri Dec 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 962cee3
- updated to 1.3.1

* Sun Dec 11 2022 Jakub Bogusz <qboosh@pld-linux.org> c8d4f16
- updated to 1.3.0

* Fri Oct 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 001737c
- updated to 1.2.1

* Thu Aug 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 9694484
- updated to 1.2.0, now requires mpfr 4.1.0

* Fri Jul 27 2018 Jakub Bogusz <qboosh@pld-linux.org> 30c0e4c
- release 2 (rebuild with mpfr 4.0.x)

* Sun Apr 01 2018 Jakub Bogusz <qboosh@pld-linux.org> a3d7d22
- updated to 1.1.0
- updated info patch (unify dircategory)

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 3ca2ba8
- missing fix-info-dir

* Sat Feb 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 9b6f54f
- updated to 1.0.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> da8eead
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jan 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 0a09082
- updated to 1.0.2

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> f894f39
- rebuild to fix broken filedigests
- release 3 (by relup.sh)

* Tue Sep 25 2012 Jan Rękorajski <baggins@pld-linux.org> c73c76d
- rebuild with fixed rpm macros
- release 2 (by relup.sh)

* Mon Sep 10 2012 Jakub Bogusz <qboosh@pld-linux.org> fddae9d
- updated to 1.0.1

* Thu Aug 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 34067e6
- updated required gmp/mpfr versions
- license is LGPL v3+ now

* Sat Aug 04 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 039bfd1
- up to 1.0

* Tue Jun 15 2010 Paweł Sikora <pluto@pld-linux.org> 4477d42
- release 2 for rebuild with mpfr-3.0.x.

* Mon Jun 14 2010 Jakub Bogusz <qboosh@pld-linux.org> 79ee7e2
- updated to 0.8.2 (builds with gmp 5.0)
- devel deps

* Wed Mar 31 2010 Paweł Sikora <pluto@pld-linux.org> 760661d
- release 2 (rebuild with new gmp-5.x)

* Wed Mar 10 2010 Paweł Sikora <pluto@pld-linux.org> 81fa204
- initial spec.

